let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/r6ck8hdkzhjqqycdw7wjv88c2dxw0fpr-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/kar6h0w3iy3d2a5n2fa3j24yqhy4vigk-coreutils-8.30/bin";
  bzip2 = "/nix/store/fhb8svjdhjn3m6z6fk2l2g5g67lpwh2l-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/8q3l4h8dc7kd7r5yigzwhgppmrf9f175-gzip-1.10/bin/gzip";
  xz = "/nix/store/fhjln1iwx9rkl1ylqzszzn8b84nqrk62-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/azrprq5bx70zv8daxkj9k18ps93an3qv-gnutar-1.31/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/kar6h0w3iy3d2a5n2fa3j24yqhy4vigk-coreutils-8.30/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/bv06pavfw0dbqzr8w3l7s71nx27gnxa0-nix-2.3.2/bin";
  nixPrefix = "/nix/store/bv06pavfw0dbqzr8w3l7s71nx27gnxa0-nix-2.3.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/bv06pavfw0dbqzr8w3l7s71nx27gnxa0-nix-2.3.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
